For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Documentation

Health Check

Health Check

get
Responses
200

Successful Response

application/json
anyOptional
get/health
GET /health HTTP/1.1
Accept: */*
200

Successful Response

No content

Tenant Options

Get Tenant Options

Get Tenant Options

get
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
correlation-idstringRequired
Responses
200

Successful Response

application/json
get/v1/tenant-options
GET /v1/tenant-options HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
correlation-id: text
Accept: */*
{
  "options_values": [
    {
      "name": "text",
      "values": [
        "text"
      ]
    }
  ]
}

Add Tenant Options

Add Tenant Options

post
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
correlation-idstringRequired
Body
Responses
201

Successful Response

application/json
messagestringRequired
post/v1/tenant-options
POST /v1/tenant-options HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "options": [
    {
      "name": "text",
      "values": [
        "text"
      ]
    }
  ]
}
{
  "message": "text"
}

Product Options

Get Product Options

Get Product Options

get
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
limitinteger · min: 1 · nullableOptional

Maximum number of records to return

offsetinteger · nullableOptional

Number of records to skip

Header parameters
correlation-idstringRequired
Responses
200

Successful Response

application/json
get/v1/product-options
GET /v1/product-options HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
correlation-id: text
Accept: */*
{
  "options_values": [
    {
      "product": "text",
      "option_values": [
        {
          "option_name": "text",
          "option_values": [
            "text"
          ]
        }
      ]
    }
  ]
}

Add Product Options

Add Product Options

post
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
correlation-idstringRequired
Body
Responses
201

Successful Response

application/json
messagestringRequired
post/v1/product-options
POST /v1/product-options HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 106

{
  "product_options": [
    {
      "product": "text",
      "option_values": [
        {
          "option_name": "text",
          "option_values": [
            "text"
          ]
        }
      ]
    }
  ]
}
{
  "message": "text"
}

Tenant Data Connection Configs

Get Tenant Data Connections

Get Tenant Data Conn

get

Get all data connection configs for the current tenant.

Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
correlation-idstringRequired
Responses
200

Successful Response

application/json

Response model for fetching all data‐connection configs for a tenant.

get/v1/tenant-data-conn-configs
GET /v1/tenant-data-conn-configs HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
correlation-id: text
Accept: */*
{
  "data_connections": [
    {
      "name": "text",
      "type": "text",
      "configs": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}

Create Tenant Data Connections

Create Tenant Data Conn

post

Add data connection configs for the current tenant.

Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
correlation-idstringRequired
Body

Request model for adding one or more data‐connection configs to a tenant.

Responses
201

Successful Response

application/json
messagestringRequired
post/v1/tenant-data-conn-configs
POST /v1/tenant-data-conn-configs HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 101

{
  "data_connections": [
    {
      "name": "text",
      "type": "text",
      "configs": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}
{
  "message": "text"
}

Update Tenant Data Connection

Update Tenant Data Conn

patch

Update data‑connection config by name for the current tenant.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
namestringRequired
Header parameters
correlation-idstringRequired
Body
typestring · nullableOptional

New connection type, if updating

Responses
200

Successful Response

application/json
messagestringRequired
patch/v1/tenant-data-conn-configs/{name}
PATCH /v1/tenant-data-conn-configs/{name} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 64

{
  "type": "text",
  "configs": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "message": "text"
}

Delete Tenant Data Connection

Delete Tenant Data Conn

delete

DELETE one data‑connection config by name for the current tenant.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
namestringRequired
Header parameters
correlation-idstringRequired
Responses
200

Successful Response

application/json
messagestringRequired
delete/v1/tenant-data-conn-configs/{name}
DELETE /v1/tenant-data-conn-configs/{name} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
correlation-id: text
Accept: */*
{
  "message": "text"
}

Users

Get Users

Get list of users

get
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
rolestring · enum · nullableOptional

Filter users by role

Possible values:
Header parameters
correlation-idstringRequired
Responses
200

List of users retrieved successfully

application/json
get/v1/users
GET /v1/users HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
correlation-id: text
Accept: */*
{
  "users": [
    {
      "user_name": "text",
      "email_id": "text",
      "tenant_id": "text",
      "tenant_name": "text",
      "role": "CANSO_ADMIN",
      "status": "ACTIVE"
    }
  ]
}

Tenant Data ET Configs

Create Tenant Data ET

Create Tenant Data Et

post
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
correlation-idstringRequired
Body
Responses
201

Successful Response

application/json
messagestringRequired
post/v1/tenant-data-et-configs
POST /v1/tenant-data-et-configs HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 84

{
  "data_ets": [
    {
      "unit_name": "text",
      "configs": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}
{
  "message": "text"
}

Update Tenant Data ET

Update Tenant Data Et

patch

Update data ET config by unit_name for the current tenant.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
unit_namestringRequired
Header parameters
correlation-idstringRequired
Body
Responses
200

Successful Response

application/json
messagestringRequired
patch/v1/tenant-data-et-configs/{unit_name}
PATCH /v1/tenant-data-et-configs/{unit_name} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 50

{
  "configs": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "message": "text"
}

Delete Tenant Data ET

Delete Tenant Data Conn

delete

DELETE one data ET config by unit_name for the current tenant.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
unit_namestringRequired
Header parameters
correlation-idstringRequired
Responses
200

Successful Response

application/json
messagestringRequired
delete/v1/tenant-data-et-configs/{unit_name}
DELETE /v1/tenant-data-et-configs/{unit_name} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
correlation-id: text
Accept: */*
{
  "message": "text"
}

Last updated